-- rectangle include file.
global function new_rect(sequence c1, sequence c2)
  sequence ret
  atom x1,y1,x2,y2
  x1 = c1[1]
  y1 = c1[2]
  x2 = c2[1]
  y2 = c2[2]

  ret = { {x1,y1}, {x2,y1}, {x2,y2}, {x1,y2} }

  return ret
end function

global function in_rect(sequence rect, sequence pos)
  atom x1,y1,x2,y2,t,x,y
  sequence c1,c2

  x = pos[1]
  y = pos[2]

  c1 = rect[1]
  c2 = rect[3]

  x1 = c1[1]
  y1 = c1[2]

  x2 = c2[1]
  y2 = c2[2]

  if x1 > x2 then
    t = x1
    x1 = x2
    x2 = t
  end if

  if y1 > y2 then
    t = y1
    y1 = y2
    y2 = t
  end if

  if x >= x1 and x <= x2 and
     y >= y1 and y <= y2 then
       return 1
  else
    return 0
  end if
end function






